## django-stronghold 0.2.7+debian

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-stronghold.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-stronghold.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-stronghold"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-stronghold"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
django-stronghold (0.2.7+debian-3) unstable; urgency=medium

  * Add support for Django 1.10 based on patch from James Valleroy
    (Closes: #828658).

 -- Sunil Mohan Adapa <sunil@medhas.org>  Wed, 24 Aug 2016 08:13:25 +0530

django-stronghold (0.2.7+debian-2) unstable; urgency=medium

  * Add support for Django 1.9 (Closes: #808484).

 -- Sunil Mohan Adapa <sunil@medhas.org>  Tue, 19 Jan 2016 22:28:41 +0530

django-stronghold (0.2.7+debian-1) unstable; urgency=low

  [ Sunil Mohan Adapa ]
  * Initial upload (Closes: #778602).

 -- Federico Ceratto <federico@debian.org>  Sun, 28 Jun 2015 18:29:22 +0100

=== debian/control ===
Source: django-stronghold
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sunil Mohan Adapa <sunil@medhas.org>, Federico Ceratto <federico@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep:
 dh-python
 , python-all
 , python-django
 , python-mock
 , python-setuptools
 , python3-all
 , python3-django
 , python3-mock
 , python3-setuptools
Standards-Version: 3.9.8
Homepage: http://mikegrouchy.com/django-stronghold/
Vcs-Git: git://anonscm.debian.org/collab-maint/django-stronghold.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/django-stronghold.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-django-stronghold
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
 , python-django
Provides: ${python:Provides}
Recommends: ${python:Recommends}
Description: Django app to make all views default login_required
 Stronghold is a very small and easy to use Django app that makes all
 your Django project default to require login for all of your views.

Package: python3-django-stronghold
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
 , python3-django
Provides: ${python3:Provides}
Recommends: ${python3:Recommends}
Description: Python3 Django app to make all views default login_required
 Stronghold is a very small and easy to use Django app that makes all
 your Django project default to require login for all of your views.
 This is the Python3 package

## django-stronghold 0.3.0+debian

=== Makefile ===
test:
	python test_project/manage.py test --settings=test_project.settings stronghold.tests
update-pypi:
	python setup.py sdist upload
	python setup.py bdist_wheel upload

=== requirements.txt ===
Jinja2==2.6
Pygments==1.6
Sphinx==1.1.3
docutils==0.10
mock==1.0.1
django-discover-runner==1.0

=== debian/changelog ===
django-stronghold (0.3.0+debian-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.
  * Add remove-broken-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 15:23:46 +0200

django-stronghold (0.3.0+debian-1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * New upstream release with support for Django 2.0.

  [ Federico Ceratto ]
  * Repository moved to https://salsa.debian.org/debian/django-stronghold

 -- Federico Ceratto <federico@debian.org>  Thu, 22 Feb 2018 15:15:15 +0000

=== debian/control ===
Source: django-stronghold
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sunil Mohan Adapa <sunil@medhas.org>, Federico Ceratto <federico@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11)
Build-Depends-Indep:
 dh-python
 , python3-all
 , python3-django
 , python3-mock
 , python3-setuptools
Standards-Version: 4.1.3
Homepage: http://mikegrouchy.com/django-stronghold/
Vcs-Git: https://salsa.debian.org/debian/django-stronghold.git
Vcs-Browser: https://salsa.debian.org/debian/django-stronghold

Package: python3-django-stronghold
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
 , python3-django
Provides: ${python3:Provides}
Recommends: ${python3:Recommends}
Description: Python3 Django app to make all views default login_required
 Stronghold is a very small and easy to use Django app that makes all
 your Django project default to require login for all of your views.
 This is the Python3 package

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=django-stronghold

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	python3 test_project/manage.py test --pythonpath=. --settings=test_project.settings stronghold.tests

## django-stronghold 0.4.0+debian

=== requirements.txt ===
Jinja2==2.10.3
Pygments==1.6
Sphinx==1.1.3
docutils==0.10
mock==1.0.1

=== debian/changelog ===
django-stronghold (0.4.0+debian-2) unstable; urgency=medium

  * Team upload.
  * Remove usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Dec 2024 02:27:53 +0100

django-stronghold (0.4.0+debian-1) unstable; urgency=medium

  * New upstream version 0.4.0 (Closes: #939497)
  * Drop patch to remove broken tests
  * Add patch to support Django 4.0 (Closes: #1013496)
  * Add myself to uploaders
  * Update copyright for debian/*
  * Add Rules-Requires-Root: no
  * Set Standards-Version to 4.6.1

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 15 Jul 2022 09:54:31 -0400

django-stronghold (0.3.0+debian-3) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Update the VCS paths. Closes: #946101

  [ Debian Janitor ]
  * Add missing build dependency on dh addon.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2022 11:21:27 -0400

=== debian/control ===
Source: django-stronghold
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sunil Mohan Adapa <sunil@medhas.org>,
           Federico Ceratto <federico@debian.org>,
           James Valleroy <jvalleroy@mailbox.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-django,
 python3-setuptools,
Standards-Version: 4.6.1
Homepage: http://mikegrouchy.com/django-stronghold/
Vcs-Git: https://salsa.debian.org/python-team/packages/django-stronghold.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-stronghold
Rules-Requires-Root: no

Package: python3-django-stronghold
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-django
Provides: ${python3:Provides}
Recommends: ${python3:Recommends}
Description: Python3 Django app to make all views default login_required
 Stronghold is a very small and easy to use Django app that makes all
 your Django project default to require login for all of your views.
 This is the Python3 package

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=django-stronghold

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	python3 test_project/manage.py test --pythonpath=. --settings=test_project.settings stronghold.tests
